#!/usr/bin/env python
# -*- coding: utf-8 -*-

### THIS FILE WAS GENERATED BY ./generate_classes.py - DO NOT EDIT ###

from . import base_classes

class GetVersion(base_classes.BaseRequest):
    def __init__(self):
        base_classes.BaseRequest.__init__(self)
        self.name = "GetVersion"
        self.dataout["version"] = None
        self.dataout["obs-websocket-version"] = None
        self.dataout["obs-studio-version"] = None

    def getVersion(self):
        return self.dataout["version"]

    def getObsWebsocketVersion(self):
        return self.dataout["obs-websocket-version"]

    def getObsStudioVersion(self):
        return self.dataout["obs-studio-version"]


class GetAuthRequired(base_classes.BaseRequest):
    def __init__(self):
        base_classes.BaseRequest.__init__(self)
        self.name = "GetAuthRequired"
        self.dataout["challenge"] = None
        self.dataout["salt"] = None

    def getChallenge(self):
        return self.dataout["challenge"]

    def getSalt(self):
        return self.dataout["salt"]


class Authenticate(base_classes.BaseRequest):
    def __init__(self, auth):
        base_classes.BaseRequest.__init__(self)
        self.name = "Authenticate"
        self.datain["auth"] = auth


class GetCurrentScene(base_classes.BaseRequest):
    def __init__(self):
        base_classes.BaseRequest.__init__(self)
        self.name = "GetCurrentScene"
        self.dataout["name"] = None
        self.dataout["sources"] = None
        self.dataout["name"] = None
        self.dataout["type"] = None
        self.dataout["volume"] = None
        self.dataout["x"] = None
        self.dataout["y"] = None
        self.dataout["cx"] = None
        self.dataout["cy"] = None
        self.dataout["render"] = None

    def getName(self):
        return self.dataout["name"]

    def getSources(self):
        return self.dataout["sources"]

    def getName(self):
        return self.dataout["name"]

    def getType(self):
        return self.dataout["type"]

    def getVolume(self):
        return self.dataout["volume"]

    def getX(self):
        return self.dataout["x"]

    def getY(self):
        return self.dataout["y"]

    def getCx(self):
        return self.dataout["cx"]

    def getCy(self):
        return self.dataout["cy"]

    def getRender(self):
        return self.dataout["render"]


class SetCurrentScene(base_classes.BaseRequest):
    def __init__(self, scene_name):
        base_classes.BaseRequest.__init__(self)
        self.name = "SetCurrentScene"
        self.datain["scene-name"] = scene_name


class GetSceneList(base_classes.BaseRequest):
    def __init__(self):
        base_classes.BaseRequest.__init__(self)
        self.name = "GetSceneList"
        self.dataout["current-scene"] = None
        self.dataout["scenes"] = None

    def getCurrentScene(self):
        return self.dataout["current-scene"]

    def getScenes(self):
        return self.dataout["scenes"]


class SetSourceRender(base_classes.BaseRequest):
    def __init__(self, source, render, scene_name):
        base_classes.BaseRequest.__init__(self)
        self.name = "SetSourceRender"
        self.datain["source"] = source
        self.datain["render"] = render
        self.datain["scene-name"] = scene_name


class GetStudioModeStatus(base_classes.BaseRequest):
    def __init__(self):
        base_classes.BaseRequest.__init__(self)
        self.name = "GetStudioModeStatus"
        self.dataout["studio-mode"] = None

    def getStudioMode(self):
        return self.dataout["studio-mode"]


class GetPreviewScene(base_classes.BaseRequest):
    def __init__(self):
        base_classes.BaseRequest.__init__(self)
        self.name = "GetPreviewScene"


class SetPreviewScene(base_classes.BaseRequest):
    def __init__(self, scene_name):
        base_classes.BaseRequest.__init__(self)
        self.name = "SetPreviewScene"
        self.datain["scene-name"] = scene_name


class TransitionToProgram(base_classes.BaseRequest):
    def __init__(self):
        base_classes.BaseRequest.__init__(self)
        self.name = "TransitionToProgram"
        self.dataout["name"] = None
        self.dataout["duration"] = None

    def getName(self):
        return self.dataout["name"]

    def getDuration(self):
        return self.dataout["duration"]


class EnableStudioMode(base_classes.BaseRequest):
    def __init__(self):
        base_classes.BaseRequest.__init__(self)
        self.name = "EnableStudioMode"


class DisableStudioMode(base_classes.BaseRequest):
    def __init__(self):
        base_classes.BaseRequest.__init__(self)
        self.name = "DisableStudioMode"


class ToggleStudioMode(base_classes.BaseRequest):
    def __init__(self):
        base_classes.BaseRequest.__init__(self)
        self.name = "ToggleStudioMode"


class StartStopStreaming(base_classes.BaseRequest):
    def __init__(self):
        base_classes.BaseRequest.__init__(self)
        self.name = "StartStopStreaming"


class StartStopRecording(base_classes.BaseRequest):
    def __init__(self):
        base_classes.BaseRequest.__init__(self)
        self.name = "StartStopRecording"


class StartStreaming(base_classes.BaseRequest):
    def __init__(self):
        base_classes.BaseRequest.__init__(self)
        self.name = "StartStreaming"


class StopStreaming(base_classes.BaseRequest):
    def __init__(self):
        base_classes.BaseRequest.__init__(self)
        self.name = "StopStreaming"


class StartRecording(base_classes.BaseRequest):
    def __init__(self):
        base_classes.BaseRequest.__init__(self)
        self.name = "StartRecording"


class StopRecording(base_classes.BaseRequest):
    def __init__(self):
        base_classes.BaseRequest.__init__(self)
        self.name = "StopRecording"


class SetRecordingFolder(base_classes.BaseRequest):
    def __init__(self, rec_folder):
        base_classes.BaseRequest.__init__(self)
        self.name = "SetRecordingFolder"
        self.datain["rec-folder"] = rec_folder


class GetRecordingFolder(base_classes.BaseRequest):
    def __init__(self):
        base_classes.BaseRequest.__init__(self)
        self.name = "GetRecordingFolder"
        self.dataout["rec-folder"] = None

    def getRecFolder(self):
        return self.dataout["rec-folder"]


class GetStreamingStatus(base_classes.BaseRequest):
    def __init__(self):
        base_classes.BaseRequest.__init__(self)
        self.name = "GetStreamingStatus"
        self.dataout["streaming"] = None
        self.dataout["recording"] = None
        self.dataout["stream-timecode"] = None
        self.dataout["rec-timecode"] = None
        self.dataout["preview-only"] = None

    def getStreaming(self):
        return self.dataout["streaming"]

    def getRecording(self):
        return self.dataout["recording"]

    def getStreamTimecode(self):
        return self.dataout["stream-timecode"]

    def getRecTimecode(self):
        return self.dataout["rec-timecode"]

    def getPreviewOnly(self):
        return self.dataout["preview-only"]


class GetTransitionList(base_classes.BaseRequest):
    def __init__(self):
        base_classes.BaseRequest.__init__(self)
        self.name = "GetTransitionList"
        self.dataout["current-transition"] = None
        self.dataout["transitions"] = None
        self.dataout["name"] = None

    def getCurrentTransition(self):
        return self.dataout["current-transition"]

    def getTransitions(self):
        return self.dataout["transitions"]

    def getName(self):
        return self.dataout["name"]


class GetCurrentTransition(base_classes.BaseRequest):
    def __init__(self):
        base_classes.BaseRequest.__init__(self)
        self.name = "GetCurrentTransition"
        self.dataout["name"] = None
        self.dataout["duration"] = None

    def getName(self):
        return self.dataout["name"]

    def getDuration(self):
        return self.dataout["duration"]


class SetCurrentTransition(base_classes.BaseRequest):
    def __init__(self, transition_name):
        base_classes.BaseRequest.__init__(self)
        self.name = "SetCurrentTransition"
        self.datain["transition-name"] = transition_name


class SetTransitionDuration(base_classes.BaseRequest):
    def __init__(self, duration):
        base_classes.BaseRequest.__init__(self)
        self.name = "SetTransitionDuration"
        self.datain["duration"] = duration


class GetTransitionDuration(base_classes.BaseRequest):
    def __init__(self):
        base_classes.BaseRequest.__init__(self)
        self.name = "GetTransitionDuration"
        self.dataout["transition-duration"] = None

    def getTransitionDuration(self):
        return self.dataout["transition-duration"]


class SetVolume(base_classes.BaseRequest):
    def __init__(self, source, volume):
        base_classes.BaseRequest.__init__(self)
        self.name = "SetVolume"
        self.datain["source"] = source
        self.datain["volume"] = volume


class GetVolume(base_classes.BaseRequest):
    def __init__(self, source):
        base_classes.BaseRequest.__init__(self)
        self.name = "GetVolume"
        self.datain["source"] = source
        self.dataout["name"] = None
        self.dataout["volume"] = None
        self.dataout["muted"] = None

    def getName(self):
        return self.dataout["name"]

    def getVolume(self):
        return self.dataout["volume"]

    def getMuted(self):
        return self.dataout["muted"]


class SetMute(base_classes.BaseRequest):
    def __init__(self, source, mute):
        base_classes.BaseRequest.__init__(self)
        self.name = "SetMute"
        self.datain["source"] = source
        self.datain["mute"] = mute


class GetMute(base_classes.BaseRequest):
    def __init__(self, source):
        base_classes.BaseRequest.__init__(self)
        self.name = "GetMute"
        self.datain["source"] = source
        self.dataout["name"] = None
        self.dataout["muted"] = None

    def getName(self):
        return self.dataout["name"]

    def getMuted(self):
        return self.dataout["muted"]


class ToggleMute(base_classes.BaseRequest):
    def __init__(self, source):
        base_classes.BaseRequest.__init__(self)
        self.name = "ToggleMute"
        self.datain["source"] = source


class GetSpecialSources(base_classes.BaseRequest):
    def __init__(self):
        base_classes.BaseRequest.__init__(self)
        self.name = "GetSpecialSources"
        self.dataout["desktop-1"] = None
        self.dataout["desktop-1"] = None
        self.dataout["mic-1"] = None
        self.dataout["mic-2"] = None
        self.dataout["mic-3"] = None

    def getDesktop1(self):
        return self.dataout["desktop-1"]

    def getDesktop1(self):
        return self.dataout["desktop-1"]

    def getMic1(self):
        return self.dataout["mic-1"]

    def getMic2(self):
        return self.dataout["mic-2"]

    def getMic3(self):
        return self.dataout["mic-3"]


class SetSceneItemPosition(base_classes.BaseRequest):
    def __init__(self, item, x, y, scene_name):
        base_classes.BaseRequest.__init__(self)
        self.name = "SetSceneItemPosition"
        self.datain["item"] = item
        self.datain["x"] = x
        self.datain["y"] = y
        self.datain["scene-name"] = scene_name


class SetSceneItemTransform(base_classes.BaseRequest):
    def __init__(self, item, x_scale, y_scale, rotation, scene_name):
        base_classes.BaseRequest.__init__(self)
        self.name = "SetSceneItemTransform"
        self.datain["item"] = item
        self.datain["x-scale"] = x_scale
        self.datain["y-scale"] = y_scale
        self.datain["rotation"] = rotation
        self.datain["scene-name"] = scene_name


class SetSceneItemCrop(base_classes.BaseRequest):
    def __init__(self, item, scene_name, top, bottom, left, right):
        base_classes.BaseRequest.__init__(self)
        self.name = "SetSceneItemCrop"
        self.datain["item"] = item
        self.datain["scene-name"] = scene_name
        self.datain["top"] = top
        self.datain["bottom"] = bottom
        self.datain["left"] = left
        self.datain["right"] = right


class SetCurrentSceneCollection(base_classes.BaseRequest):
    def __init__(self, sc_name):
        base_classes.BaseRequest.__init__(self)
        self.name = "SetCurrentSceneCollection"
        self.datain["sc-name"] = sc_name


class GetCurrentSceneCollection(base_classes.BaseRequest):
    def __init__(self):
        base_classes.BaseRequest.__init__(self)
        self.name = "GetCurrentSceneCollection"
        self.dataout["sc-name"] = None

    def getScName(self):
        return self.dataout["sc-name"]


class ListSceneCollections(base_classes.BaseRequest):
    def __init__(self):
        base_classes.BaseRequest.__init__(self)
        self.name = "ListSceneCollections"
        self.dataout["scene-collections"] = None

    def getSceneCollections(self):
        return self.dataout["scene-collections"]


class SetCurrentProfile(base_classes.BaseRequest):
    def __init__(self, profile_name):
        base_classes.BaseRequest.__init__(self)
        self.name = "SetCurrentProfile"
        self.datain["profile-name"] = profile_name


class GetCurrentProfile(base_classes.BaseRequest):
    def __init__(self):
        base_classes.BaseRequest.__init__(self)
        self.name = "GetCurrentProfile"
        self.dataout["profile-name"] = None

    def getProfileName(self):
        return self.dataout["profile-name"]


class ListProfiles(base_classes.BaseRequest):
    def __init__(self):
        base_classes.BaseRequest.__init__(self)
        self.name = "ListProfiles"
        self.dataout["profiles"] = None

    def getProfiles(self):
        return self.dataout["profiles"]


class GetTextGDIPlusProperties(base_classes.BaseRequest):
    def __init__(self, source, scene_name):
        base_classes.BaseRequest.__init__(self)
        self.name = "GetTextGDIPlusProperties"
        self.datain["source"] = source
        self.datain["scene-name"] = scene_name
        self.dataout["align"] = None
        self.dataout["chatlog"] = None
        self.dataout["color"] = None
        self.dataout["extents"] = None
        self.dataout["file"] = None
        self.dataout["font"] = None
        self.dataout["face"] = None
        self.dataout["flags"] = None
        self.dataout["size"] = None
        self.dataout["style"] = None
        self.dataout["gradient"] = None
        self.dataout["outline"] = None
        self.dataout["text"] = None
        self.dataout["valign"] = None
        self.dataout["vertical"] = None
        self.dataout["render"] = None

    def getAlign(self):
        return self.dataout["align"]

    def getChatlog(self):
        return self.dataout["chatlog"]

    def getColor(self):
        return self.dataout["color"]

    def getExtents(self):
        return self.dataout["extents"]

    def getFile(self):
        return self.dataout["file"]

    def getFont(self):
        return self.dataout["font"]

    def getFace(self):
        return self.dataout["face"]

    def getFlags(self):
        return self.dataout["flags"]

    def getSize(self):
        return self.dataout["size"]

    def getStyle(self):
        return self.dataout["style"]

    def getGradient(self):
        return self.dataout["gradient"]

    def getOutline(self):
        return self.dataout["outline"]

    def getText(self):
        return self.dataout["text"]

    def getValign(self):
        return self.dataout["valign"]

    def getVertical(self):
        return self.dataout["vertical"]

    def getRender(self):
        return self.dataout["render"]


class SetTextGDIPlusProperties(base_classes.BaseRequest):
    def __init__(self, source, scene_name, align, chatlog, color, extents, file, font, face, flags, size, style, gradient, outline, text, valign, vertical, render):
        base_classes.BaseRequest.__init__(self)
        self.name = "SetTextGDIPlusProperties"
        self.datain["source"] = source
        self.datain["scene-name"] = scene_name
        self.datain["align"] = align
        self.datain["chatlog"] = chatlog
        self.datain["color"] = color
        self.datain["extents"] = extents
        self.datain["file"] = file
        self.datain["font"] = font
        self.datain["face"] = face
        self.datain["flags"] = flags
        self.datain["size"] = size
        self.datain["style"] = style
        self.datain["gradient"] = gradient
        self.datain["outline"] = outline
        self.datain["text"] = text
        self.datain["valign"] = valign
        self.datain["vertical"] = vertical
        self.datain["render"] = render


class GetBrowserSourceProperties(base_classes.BaseRequest):
    def __init__(self, source, scene_name):
        base_classes.BaseRequest.__init__(self)
        self.name = "GetBrowserSourceProperties"
        self.datain["source"] = source
        self.datain["scene-name"] = scene_name
        self.dataout["url"] = None
        self.dataout["css"] = None
        self.dataout["width"] = None
        self.dataout["height"] = None
        self.dataout["fps"] = None
        self.dataout["shutdown"] = None
        self.dataout["render"] = None

    def getUrl(self):
        return self.dataout["url"]

    def getCss(self):
        return self.dataout["css"]

    def getWidth(self):
        return self.dataout["width"]

    def getHeight(self):
        return self.dataout["height"]

    def getFps(self):
        return self.dataout["fps"]

    def getShutdown(self):
        return self.dataout["shutdown"]

    def getRender(self):
        return self.dataout["render"]


class SetBrowserSourceProperties(base_classes.BaseRequest):
    def __init__(self, source, scene_name, url, css, width, height, fps, shutdown, render):
        base_classes.BaseRequest.__init__(self)
        self.name = "SetBrowserSourceProperties"
        self.datain["source"] = source
        self.datain["scene-name"] = scene_name
        self.datain["url"] = url
        self.datain["css"] = css
        self.datain["width"] = width
        self.datain["height"] = height
        self.datain["fps"] = fps
        self.datain["shutdown"] = shutdown
        self.datain["render"] = render


